import React, { useState } from "react";
import { CrossMintModal } from "./CrossMintModal";
import { CrossMintPopupProvider } from "./CrossMintPopupProvider";
import { CrossMintModalContext } from "./useCrossMintModal";
export const CrossMintProvider = ({ development = false, children, ...props }) => {
    const [visible, setVisible] = useState(false);
    return (React.createElement(CrossMintModalContext.Provider, { value: {
            visible,
            setVisible,
        } },
        React.createElement(CrossMintPopupProvider, { development: development },
            children,
            visible && React.createElement(CrossMintModal, { ...props }))));
};
//# sourceMappingURL=CrossMintProvider.js.map